Project

General

Profile

Anomalie #8267

Instance me dit que je n'ai pas de mise à jour alors que j'en ai plein

Added by Emmanuel GARETTE almost 6 years ago. Updated almost 6 years ago.

Status:
Fermé
Priority:
Haut
Assigned To:
Category:
-
Start date:
Due date:
06/20/2014
% Done:

100%

Spent time:
Distribution:
EOLE 2.4

Description

A la fin de l'instance si je demande de faire une mise à jour, aucune mise à jour n'est disponible.

Si je lance Maj-Auto, il me trouve une grande liste de mise à jour à faire.

C'est perturbant.

[...]
--------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                      Reconfiguration OK                                                                      
--------------------------------------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                    Mise à jour du serveur                                                                    
--------------------------------------------------------------------------------------------------------------------------------------------------------------
Une mise à jour est recommandée
Faut-il l'effectuer maintenant ? [oui/non]
[oui] : 
Aucune mise à jour à effectuer.
root@scribe:~# Maj-Auto 
Mise à jour le mardi 27 mai 2014 15:27:04
*** scribe 2.4 (000GNU) ***

Configure sources.list
Configuring Ubuntu with mirror eole.ac-dijon.fr
Configuring EOLE with mirror eole.ac-dijon.fr
Update packages indexes
Installing 42 packages: 3 new 39 upgrade
New packages:
    linux-headers-3.11.0-22 (root)
    linux-headers-3.11.0-22-generic (root)
    linux-image-3.11.0-22-generic (root)
Liste des paquets à mettre à jour : 
    apache2 (root)
    apache2-mpm-prefork (root)
    apache2-suexec (root)
    apache2-utils (root)
    apache2.2-bin (root)
    apache2.2-common (root)
    creole (root)
    creole-common (root)
    cups (root)
    cups-client (root)
    cups-common (root)
    cups-ppdc (root)
    dpkg (root)
    ifupdown (root)
    libcups2 (root)
    libcupscgi1 (root)
    libcupsimage2 (root)
    libcupsmime1 (root)
    libcupsppdc1 (root)
    libdpkg-perl (root)
    libssl1.0.0 (root)
    libtiff4 (root)
    libxfont1 (root)
    libxml2 (root)
    libxml2-utils (root)
    linux-firmware (root)
    linux-generic-lts-saucy (root)
    linux-headers-3.11.0-20 (root)
    linux-headers-3.11.0-20-generic (root)
    linux-headers-generic-lts-saucy (root)
    linux-image-3.11.0-20-generic (root)
    linux-image-generic-lts-saucy (root)
    openssh-client (root)
    openssh-server (root)
    openssl (root)
    python-creole (root)
    python-libxml2 (root)
    python-lxml (root)
    tzdata (root)
Done http://eole.ac-dijon.fr/ubuntu/ precise-security/main dpkg amd64 1.16.1.2ubuntu7.4
[...]

Associated revisions

Revision a8709cd4 (diff)
Added by Emmanuel GARETTE almost 6 years ago

creole/reconfigure.py : mise à jour fonctionnelle à la fin de l'instanciation (fixes #8267 @3h)

Revision ee3b230c (diff)
Added by Emmanuel GARETTE almost 6 years ago

creole/reconfigure.py : typo (ref #8267)

History

#1 Updated by Emmanuel GARETTE almost 6 years ago

  • Status changed from Nouveau to Résolu
  • % Done changed from 0 to 100

#2 Updated by Joël Cuissinat almost 6 years ago

  • Due date set to 06/20/2014
  • Assigned To set to Emmanuel GARETTE
  • Target version set to Eole 2.4.0.1

#3 Updated by Joël Cuissinat almost 6 years ago

  • Status changed from Résolu to Fermé

Normalement c'est testé dans le Cas de test : SC-T01-005 : Lancer instance sur un serveur fraichement installé et configuré.

Pas simple a tester car le fait de mettre à jour pour tester fausse le test !

#4 Updated by Joël Cuissinat almost 6 years ago

Testé "réellement" en ne configurant et installant que les paquets EOLE (juste cette ligne dans la conf) :

deb http://eole.ac-dijon.fr/eole eole-2.4-unstable main

L'instance m'a bien installé les paquets Ubuntu... et même un paquet EOLE car la méthode utilisée entraînait l'impossibilité de mettre à jour le paquet sans certaines dépendances !

 eole-amon : Dépend: pppoe mais il n'est pas installable

Also available in: Atom PDF